Come aggiornare il database di Argo CMS alla versione 2.4.3.0

postato da Petra Dal Santo - KEA s.r.l. [23/05/2013 09:22]
foto

Perché passare dalla versione 2005 di MS SQLServer alla versione 2008 o superiore

Alla fine del 2013 Argo CMS non supporterà più la versione 2005 di MS SQLServer.

Qual è il motivo di questa scelta?

La versione 2008 o superiore di MS SQLServer presenta caratteristiche, che Argo supporta a partire dalla versione 2.4.3.0.
Le caratteristiche di MS SQLServer si traducono in miglioramenti sensibili delle prestazioni di Argo e in particolare, per ora, delle prestazioni del Configuratore automatico della documentazione tecnica (Wizard) e delle funzioni di copia di documenti / revisioni.

L'aggiornamento del database di Argo CMS nel passaggio dalla versione 2.4.2.0 alla versione 2.4.3.0

Dopo aver eseguito l'aggiornamento del database di Argo per passare dalla versione 2.4.2.0 alla versione 2.4.3.0, sulla home page di Argo appare un messaggio personalizzato.

Il contenuto del messaggio dipende dalla versione di MS SQLServer che state utilizzando e dalle sue impostazioni.

Vediamo i 3 casi possibili e come procedere.

1) State utilizzando MS SQLServer 2005?

Fino alla fine del 2013 potete continuare a utilizzare MS SQLServer 2005 e a installare regolarmente gli aggiornamenti di Argo, seguendo la procedura guidata.

Entro la fine di dicembre 2013 dovreste però passare alla versione 2008 o superiore di MS SQLServer.
Per scaricare la nuova versione Express (gratuita) di MS SQLServer, cliccate su questi due link:
- Microsoft SQL2008 R2 Express : http://www.microsoft.com/it-it/download/details.aspx?id=30438
- Microsoft SQL2008 Management Studio Express: http://www.microsoft.com/it-it/download/details.aspx?id=7593

Una volta scaricata, installata e configurata la nuova versione di MS SQLServer, dovrete:
- Collegare il vostro database di Argo alla nuova versione di MS SQLServer
- Impostare i vostri client di Argo, in modo tale che accedano al database collegato alla nuova versione di MS SQLServer
- Seguire le indicazioni di Argo, che vi guiderà all'esecuzione degli aggiornamenti necessari sulla nuova versione di MS SQLServer.

2) State utilizzando MS SQLServer 2008 o superiore, ma il Livello di Compatibilità del database di Argo è impostata su 2005?

Chiudete Argo e accedete a Microsoft SQL2008 Management Studio Express.
Selezionate il vostro database di Argo.
Cliccate con il tasto destro del mouse sul nome del vostro di Argo e selezionate la voce Proprietà.
Impostate su 2008 il Livello di Compatibilità del database (vd. videata qui sotto).
Riaprite Argo e seguite le sue indicazioni per aggiornare il database alla versione 2.4.3.0 per 2008.

3) State utilizzando MS SQLServer 2008 o superiore, con il Livello di Compatibilità del database di Argo impostato su 2008?

Non dovete fare altro che aprire Argo e seguire le sue indicazioni per aggiornare il database alla versione 2.4.3.0 per 2008.

 

Come impostare il Livello di Compatibilità del database